Name:    kde-dev-scripts
Summary: KDE SDK scripts
Version: 16.12.3
Release: 1%{?dist}

License: GPLv2+ and GPLv2+ and BSD
URL:     https://quickgit.kde.org/?p=%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= 4.14
BuildRequires:  perl-generators
# for python macros
BuildRequires:  python-devel
# for env replacement in %%install
BuildRequires:  sed

Requires:       advancecomp
Requires:       optipng

BuildArch:      noarch

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-scripts = %{version}-%{release}
Obsoletes:      kdesdk-scripts < 4.10.80

%description
KDE SDK scripts


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# purge use of /usr/bin/env
sed -i \
  -e "s|^#!/usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#! /usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#!/usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#! /usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#!/usr/bin/env python$|#!%{__python}|g" \
  -e "s|^#! /usr/bin/env python$|#!%{__python}|g" \
  %{buildroot}%{_kde4_bindir}/*

# unpackaged files
# This one fits better into krazy2 (it requires krazy2), and the version in
# kdesdk does not understand lib64.
rm -f %{buildroot}%{_kde4_bindir}/krazy-licensecheck


%check
grep "/usr/bin/env" %{buildroot}%{_kde4_bindir}/* && exit 1


%files
%doc README
%license COPYING
%{_kde4_bindir}/grantlee_strings_extractor.py
%{_kde4_bindir}/c++-copy-class-and-file
%{_kde4_bindir}/c++-rename-class-and-file
%{_kde4_bindir}/svnrevertlast
%{_kde4_bindir}/fixuifiles
%{_kde4_bindir}/cvscheck
%{_kde4_bindir}/extend_dmalloc
%{_kde4_bindir}/extractattr
%{_kde4_bindir}/noncvslist
%{_kde4_bindir}/pruneemptydirs
%{_kde4_bindir}/cvsrevertlast
%{_kde4_bindir}/create_makefile
%{_kde4_bindir}/colorsvn
%{_kde4_bindir}/cvslastchange
%{_kde4_bindir}/svngettags
%{_kde4_bindir}/create_svnignore
%{_kde4_bindir}/svnchangesince
%{_kde4_bindir}/build-progress.sh
%{_kde4_bindir}/package_crystalsvg
%{_kde4_bindir}/svnbackport
%{_kde4_bindir}/svnlastlog
%{_kde4_bindir}/cxxmetric
%{_kde4_bindir}/kdemangen.pl
%{_kde4_bindir}/cvsforwardport
%{_kde4_bindir}/includemocs
%{_kde4_bindir}/svnlastchange
%{_kde4_bindir}/wcgrep
%{_kde4_bindir}/qtdoc
%{_kde4_bindir}/nonsvnlist
%{_kde4_bindir}/svnforwardport
%{_kde4_bindir}/create_cvsignore
%{_kde4_bindir}/svnintegrate
%{_kde4_bindir}/kdekillall
%{_kde4_bindir}/create_makefiles
%{_kde4_bindir}/cvsbackport
%{_kde4_bindir}/fixkdeincludes
%{_kde4_bindir}/kde-systemsettings-tree.py
%{_kde4_bindir}/zonetab2pot.py
%{_kde4_bindir}/kde_generate_export_header
%{_kde4_bindir}/cvs-clean
%{_kde4_bindir}/kdelnk2desktop.py
%{_kde4_bindir}/findmissingcrystal
%{_kde4_bindir}/adddebug
%{_kde4_bindir}/cvsversion
%{_kde4_bindir}/cheatmake
%{_kde4_bindir}/cvsblame
%{_kde4_bindir}/optimizegraphics
%{_kde4_bindir}/cvsaddcurrentdir
%{_kde4_bindir}/fix-include.sh
%{_kde4_bindir}/kdedoc
%{_kde4_bindir}/svn-clean
%{_kde4_bindir}/png2mng.pl
%{_kde4_bindir}/extractrc
%{_kde4_bindir}/makeobj
%{_kde4_bindir}/cvslastlog
%{_kde4_bindir}/svnversions
%{_kde4_bindir}/draw_lib_dependencies
%{_kde4_bindir}/reviewboard-am
%{_mandir}/man1/adddebug.1*
%{_mandir}/man1/cheatmake.1*
%{_mandir}/man1/create_cvsignore.1*
%{_mandir}/man1/create_makefile.1*
%{_mandir}/man1/create_makefiles.1*
%{_mandir}/man1/cvscheck.1*
%{_mandir}/man1/cvslastchange.1*
%{_mandir}/man1/cvslastlog.1*
%{_mandir}/man1/cvsrevertlast.1*
%{_mandir}/man1/cxxmetric.1*
%{_mandir}/man1/extend_dmalloc.1*
%{_mandir}/man1/extractrc.1*
%{_mandir}/man1/fixincludes.1*
%{_mandir}/man1/pruneemptydirs.1*
%{_mandir}/man1/qtdoc.1*
%{_mandir}/man1/reportview.1*
%{_mandir}/man1/transxx.1*
%{_mandir}/man1/zonetab2pot.py.1*


%changelog
* Thu Mar 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.3-1
- 16.12.3

* Thu Feb 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Fri Jan 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- 16.12.1

* Mon Dec 05 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.3-1
- 16.08.3

* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.2-1
- 16.08.2

* Wed Sep 07 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-1
- 16.08.1

* Sat Aug 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.0-1
- 16.08.0

* Sat Aug 06 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.07.90-1
- 16.07.90

* Sat Jul 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.07.80-1
- 16.07.80

* Sun Jul 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-1
- 16.04.3

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.2-1
- 16.04.2

* Sun May 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-1
- 16.04.1

* Mon Apr 25 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.0-1
- 16.04.0

* Tue Mar 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.3-1
- 15.12.3

* Mon Feb 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.2-1
- 15.12.2

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 15.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 21 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.12.0-1
- 15.12.0

* Mon Nov 30 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.3-1
- 15.08.3

* Wed Oct 28 2015 Rex Dieter <rdieter@fedoraproject.org> 15.08.2-2
- make python substitution safer

* Wed Oct 28 2015 Rex Dieter <rdieter@fedoraproject.org> 15.08.2-1
- 15.08.2, use %%license, purge use of /usr/bin/env

* Thu Aug 20 2015 Than Ngo <than@redhat.com> - 15.08.0-1
- 15.08.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15.04.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.2-1
- 15.04.2

* Thu May 28 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.1-1
- 15.04.1

* Fri Apr 17 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.0-1
- 15.04.0

* Sat Jan 17 2015 Rex Dieter <rdieter@fedoraproject.org> 4.14.3-2
- fixed for kde-applications

* Sun Nov 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sun Mar 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 22 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Aug 08 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
